list_for_each_entry_rcu
Prev | Doubly Linked Lists | Next

## Name

list_for_each_entry_rcu — iterate over rcu list of given type

## Synopsis

`list_for_each_entry_rcu (` |  | pos,
|  | head,
|  | member`)`;

## Arguments

`pos`

  the type * to use as a loop cursor.

`head`

  the head for your list.

`member`

  the name of the list_struct within the struct.

## Description

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as `list_add_rcu` as long as the traversal is guarded by `rcu_read_lock`.

Prev | Up | Next
list_for_each_safe_rcu | Home | list_for_each_continue_rcu